#include <bits/stdc++.h>

using namespace std;

int main()
{
    std::ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    vector<int> v(2*n);
    for(int i = 1; i <= 2*n; i++){
        v[i] = i;
    }
    vector<int> a(n);
    vector<int> b(n);
    for(int i = 0; i < n/2; i++){
        a[i] = i+1;
        a[n-1-i] = 2*n-i;
    }
    int k = 0;
    for(int i = n/2+1; i <= 3*n/2; i++){
        b[k] = i;
        k++;
    }
    for(int x : a){
        cout << x << " ";
    }
    cout << endl;
    for(int x : b){
        cout << x << " ";
    }
}